local config = EventHorizon.config

function EventHorizon:InitializeClass()
self.config.gcdSpellID = 772
	--Bladestorm
	self:NewSpell({
		spellID = 46924,
		playerbuff = true,
		cooldown = true,
		requiredTalent = {1,31},
	})	
	--Rend (req Taste for Blood)
	self:NewSpell({
		spellID = 772,
		debuff = true,
		dot = 3,
		stance = 1,
		requiredTalent = {1,12},
	})
	--Mortal Strike
	self:NewSpell({
		spellID = 21551,
		debuff = true,
		cooldown = true,
		requiredTalent = {1,25},
	})
	--Bloodthirst
	self:NewSpell({
		spellID = 23881,
		cooldown = true,
		requiredTalent = {2,19},
	})
	--Shield Slam
	self:NewSpell({
		spellID = 23922,
		playerbuff = 58374,
		cooldown = true,
		requiredTalent = {3,8},
	})
	--Whirlwind
	self:NewSpell({
		spellID = 1680,
		cooldown = true,
		stance = 3,
	})
	--Bloodsurge (Slam!)
	self:NewSpell({
		spellID = 46916,
		playerbuff = true,
		requiredTalent = {2,25},
	})
	--Taste for Blood
	self:NewSpell({
		spellID = 60503,
		playerbuff = true,
		stance = 1,
		requiredTalent = {1,12},
	})
	--Sudden Death
	self:NewSpell({
		spellID = 52437,
		playerbuff = true,
		requiredTalent = {1,27},
	})
	--Revenge
	self:NewSpell({
		spellID = 6572,
		cooldown = true,
		debuff = 12798, -- Revenge Stun
		stance = 2,
		requiredTalent = {1,26,0}, --Do not show if Unrelenting Assault is talented (no cooldown)
	})
	--Shield Block
	self:NewSpell({
		spellID = 2565,
		cooldown = true,
		playerbuff = true,
		stance = 2,
	})
	--Thunder Clap
	self:NewSpell({
		spellID = 6343,
		debuff = true,
		cooldown = true,
		stance = 2,
	})
	--Sunder Armor (unique, shared with Expose Armor)
	self:NewSpell({
		spellID = 7386,
		debuff = {7386,8647},
		unique = true,
		stance = 2,
	})
	--Demo Shout
	self:NewSpell({
		spellID = 1160,
		debuff = {1160,99,50511}, --Demo Shout, Demo Roar (Druid), CoW (Warlock)
		unique = true,
		stance = 2,
	})
	--Battle Shout
	self:NewSpell({
		spellID = 6673,
		playerbuff = {6673,19740,25782},
		unique = true,
	})
	return true
end
